libtheora: theora_info Struct Reference

libtheora 1.2.0

Data Fields
theora_info Struct Reference

Theora bitstream info. More...

`#include <theora.h>`

## Data Fields
ogg_uint32_t | width
| encoded frame width
ogg_uint32_t | height
| encoded frame height
ogg_uint32_t | frame_width
| display frame width
ogg_uint32_t | frame_height
| display frame height
ogg_uint32_t | offset_x
| horizontal offset of the displayed frame
ogg_uint32_t | offset_y
| vertical offset of the displayed frame
ogg_uint32_t | fps_numerator
| frame rate numerator
ogg_uint32_t | fps_denominator
| frame rate denominator
ogg_uint32_t | aspect_numerator
| pixel aspect ratio numerator
ogg_uint32_t | aspect_denominator
| pixel aspect ratio denominator
theora_colorspace | colorspace
| colorspace
int | target_bitrate
| nominal bitrate in bits per second
int | quality
| Nominal quality setting, 0-63.
int | quick_p
| Quick encode/decode.
unsigned char | version_major
unsigned char | version_minor
unsigned char | version_subminor
void * | codec_setup
int | dropframes_p
int | keyframe_auto_p
ogg_uint32_t | keyframe_frequency
ogg_uint32_t | keyframe_frequency_force
ogg_uint32_t | keyframe_data_target_bitrate
ogg_int32_t | keyframe_auto_threshold
ogg_uint32_t | keyframe_mindistance
ogg_int32_t | noise_sensitivity
ogg_int32_t | sharpness
theora_pixelformat | pixelformat
| chroma subsampling mode to expect

## Detailed Description

Theora bitstream info.

Contains the basic playback parameters for a stream, corresponding to the initial 'info' header packet.

Encoded theora frames must be a multiple of 16 in width and height. To handle other frame sizes, a crop rectangle is specified in frame_height and frame_width, offset_x and * offset_y. The offset and size should still be a multiple of 2 to avoid chroma sampling shifts. Offset values in this structure are measured from the upper left of the image.

Frame rate, in frames per second, is stored as a rational fraction. Aspect ratio is also stored as a rational fraction, and refers to the aspect ratio of the frame pixels, not of the overall frame itself.

See examples/encoder_example.c for usage examples of the other parameters and good default settings for the encoder parameters.

## Field Documentation

## ◆ aspect_denominator

ogg_uint32_t theora_info::aspect_denominator

pixel aspect ratio denominator

## ◆ aspect_numerator

ogg_uint32_t theora_info::aspect_numerator

pixel aspect ratio numerator

## ◆ codec_setup

void* theora_info::codec_setup

## ◆ colorspace

theora_colorspace theora_info::colorspace

colorspace

## ◆ dropframes_p

int theora_info::dropframes_p

## ◆ fps_denominator

ogg_uint32_t theora_info::fps_denominator

frame rate denominator

## ◆ fps_numerator

ogg_uint32_t theora_info::fps_numerator

frame rate numerator

## ◆ frame_height

ogg_uint32_t theora_info::frame_height

display frame height

## ◆ frame_width

ogg_uint32_t theora_info::frame_width

display frame width

## ◆ height

ogg_uint32_t theora_info::height

encoded frame height

## ◆ keyframe_auto_p

int theora_info::keyframe_auto_p

## ◆ keyframe_auto_threshold

ogg_int32_t theora_info::keyframe_auto_threshold

## ◆ keyframe_data_target_bitrate

ogg_uint32_t theora_info::keyframe_data_target_bitrate

## ◆ keyframe_frequency

ogg_uint32_t theora_info::keyframe_frequency

## ◆ keyframe_frequency_force

ogg_uint32_t theora_info::keyframe_frequency_force

## ◆ keyframe_mindistance

ogg_uint32_t theora_info::keyframe_mindistance

## ◆ noise_sensitivity

ogg_int32_t theora_info::noise_sensitivity

## ◆ offset_x

ogg_uint32_t theora_info::offset_x

horizontal offset of the displayed frame

## ◆ offset_y

ogg_uint32_t theora_info::offset_y

vertical offset of the displayed frame

## ◆ pixelformat

theora_pixelformat theora_info::pixelformat

chroma subsampling mode to expect

## ◆ quality

int theora_info::quality

Nominal quality setting, 0-63.

## ◆ quick_p

int theora_info::quick_p

Quick encode/decode.

## ◆ sharpness

ogg_int32_t theora_info::sharpness

## ◆ target_bitrate

int theora_info::target_bitrate

nominal bitrate in bits per second

## ◆ version_major

unsigned char theora_info::version_major

## ◆ version_minor

unsigned char theora_info::version_minor

## ◆ version_subminor

unsigned char theora_info::version_subminor

## ◆ width

ogg_uint32_t theora_info::width

encoded frame width

The documentation for this struct was generated from the following file:

- theora.h